
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

Index: busybox-1.11.3/examples/udhcp/simple.script
===================================================================
--- busybox-1.11.3.orig/examples/udhcp/simple.script	2008-06-25 14:51:33.000000000 +0200
+++ busybox-1.11.3/examples/udhcp/simple.script	2009-01-06 14:34:40.000000000 +0100
@@ -8,17 +8,23 @@
 [ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
 [ -n "$subnet" ] && NETMASK="netmask $subnet"
 
+# return 0 if root is mounted on a network filesystem
+root_is_nfs() {
+	grep -qe '^/dev/root.*\(nfs\|smbfs\|ncp\|coda\) .*' /proc/mounts
+}
+
 case "$1" in
 	deconfig)
-		/sbin/ifconfig $interface 0.0.0.0
+		if [ ! root_is_nfs ]; then
+			/sbin/ifconfig $interface 0.0.0.0
+		fi
 		;;
 
 	renew|bound)
 		/sbin/ifconfig $interface $ip $BROADCAST $NETMASK
 
 		if [ -n "$router" ] ; then
-			echo "deleting routers"
-			while route del default gw 0.0.0.0 dev $interface ; do
+			while route del default gw 0.0.0.0 dev $interface 2>/dev/null ; do
 				:
 			done
 
